Skip to content

Simple events view.

GET
/api/infraprotect/namespaces/{namespace}/infraprotect/events_summary
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/events_summary \
--header 'Authorization: <Authorization>'

Return a list of available event (suitable for an alert)

Examples of this operation.

namespace
required
string

Namespace This request is supported only in system namespace.

alert_id
string

Optional - allows to filter events by alert so only relevant events are returned. If not provided, all user events are returned.

A successful response.

Media typeapplication/json
Simplified events response

Response to the simplified events view request.

object
events
Events

List of events.

Array<object>
Simplified event

Simplified view of an event.

object
id
ID

Event ID

string
>= 1 <= 4094 <= 1024 characters
name
Name

Name of the event (to be displayed to the customer)

string
>= 6 characters <= 1024 characters
Examplegenerated
{
"events": [
{
"id": "example",
"name": "example"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example